#include "examples.h"

const int DIMENSIONS = 2;    // number of dimensions
const int ITERATIONS = 18;   // number of iterations
                             // keep ITERATIONS <= 18 for gnuplot to work properly
                             // keep ITERATIONS <= 20 for memory allocation

const double BOX_K = 2.0;    // size of initial box [-BOX_K, BOX_K]
const double MAX_TIME = 6.0; // maximum time value

const int doLog = 0;         // 0 means no log files; 1 means create log files
const int doPlot = 1;        // 0 means no log files; 1 means create log files

const int dim1 = 0; // first dimension for 3d plot, usually 0
const int dim2 = 1; // second dimension for 3d plot, usually 1
const double MIN_RES = 0.02; // small cubes are not visible in gnuplot

char *equationName = "x' = y + 1, y' = -x; x(0) = 0, y(0) = 0";

void computeDerivativeValue(int dim, mpfi_t v, mpfi_t x[DIMENSIONS]) {
	switch (dim) {
	case 0:
		mpfi_add_d(v, x[1], 1);
		break;
	case 1:
		mpfi_neg(v, x[0]);
		break;
	}
}
